<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Grid Exercises</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        .container {
            width: 100%;
            height: 100%;
            display: grid;
            grid-template-columns: 250px auto;
            grid-template-rows: 250px 50px auto 75px;
            grid-template-areas:
                "main-nav header"
                "main-nav top-nav"
                "main-nav main"
                "main-nav footer";
        }

        header {
            background: lightpink;
            grid-area: header;
        }

        #top-nav {
            background: burlywood;
            grid-area: top-nav;
        }

        #main-nav {
            background: chartreuse;
            grid-area: main-nav;
        }

        main {
            background: lightskyblue;
            grid-area: main;
        }

        footer {
            background: blueviolet;
            grid-area: footer;
        }

        @media (max-width: 600px) {
            .container {
                grid-template-columns: auto;
                grid-template-rows: 100px 75px 100px auto 50px;
                grid-template-areas:
                    "header"
                    "footer"
                    "main-nav"
                    "main"
                    "top-nav";
            }
        }
    </style>
</head>

<body>
    <div class="container">
        <header>Header</header>
        <nav id="top-nav">Top navigation</nav>
        <nav id="main-nav">Main navigation</nav>
        <main>Main</main>
        <footer>Footer</footer>
    </div>
</body>

</html>